// Item to store image, degree to rotate, and position
class Item {

  PImage img;

  float x;
  float y;
  float degree;
  
  // Creates new Item.
  Item(PImage img, float degree, float x, float y) {
    this.x = x;
    this.y = y;
    this.degree = degree;
    this.img = img;
  }
  
  // Displays image rotated around the current origin at the given position.
  void display() {
    pushMatrix();
    rotate(radians(degree));
    translate(x, y);
    rotate(radians(-degree));
    // The center point of the image is used
    image(img, -img.width/2, -img.height/2);
    popMatrix();
  }
  
}
